This package has been deprecated

    Author message:

    kahoot.js-updated is no longer maintained

    kahoot.js-updated

    3.404.1 • Public • Published

    End of service

    kahoot.js-updated was taken down on Feb 18, 2021.

    About

    Kahoot.js was a library to interact with the Kahoot API. kahoot.js supports joining and interacting with quizzes and challenges. Installation requires Node.js 10.9.0 or higher.

    NPM

    Dependencies Known Vulnerabilities HitCount Builds Docs

    Note: If upgrading from version 1.x.x, read the latest documentation for the new api first.

    Basic Example

    const Kahoot = require("kahoot.js-updated");
    const client = new Kahoot();
    console.log("Joining kahoot...");
    client.join(9802345 /* Or any other kahoot game pin */, "kahoot.js");
    client.on("Joined", () => {
      console.log("I joined the Kahoot!");
    });
    client.on("QuizStart", () => {
      console.log("The quiz has started!");
    });
    client.on("QuestionStart", question => {
      console.log("A new question has started, answering the first answer.");
      question.answer(0);
    });
    client.on("QuizEnd", () => {
      console.log("The quiz has ended.");
    });

    Full API Documentation

    See Documentation.md.

    Examples

    See examples/ and tests/.

    Install

    npm i kahoot.js-updated

    DownloadsWeekly Downloads

    279

    Version

    3.404.1

    License

    MIT

    Unpacked Size

    3.43 kB

    Total Files

    4

    Last publish

    Collaborators

    • theusaf